> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Finding

> Dismiss, resolve, or reopen a finding with an audited operator reason.



## OpenAPI

````yaml /openapi.json patch /v1/orgs/{orgId}/projects/{projectId}/maintenance/findings/{findingId}
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/maintenance/findings/{findingId}:
    patch:
      tags:
        - projectMaintenance
      summary: Update Finding
      description: Dismiss, resolve, or reopen a finding with an audited operator reason.
      operationId: projectMaintenance.updateFinding
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: findingId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        x-korve-max-bytes: 1048576
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                status:
                  type: string
                  enum:
                    - open
                    - dismissed
                    - resolved
                reason:
                  type: string
                  minLength: 1
                  maxLength: 1000
              required:
                - status
                - reason
      responses:
        '200':
          description: Updated maintenance finding.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  id:
                    type: string
                    format: uuid
                  runId:
                    type: string
                    format: uuid
                  category:
                    type: string
                    enum:
                      - reliability
                  severity:
                    type: string
                    enum:
                      - info
                      - warning
                      - critical
                  status:
                    type: string
                    enum:
                      - open
                      - dismissed
                      - resolved
                  title:
                    type: string
                  summary:
                    type: string
                  recommendation:
                    type: string
                  resourceType:
                    type: string
                  resourceId:
                    type:
                      - string
                      - 'null'
                  firstObservedAt:
                    type: string
                    format: date-time
                  lastObservedAt:
                    type: string
                    format: date-time
                  resolvedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                required:
                  - id
                  - runId
                  - category
                  - severity
                  - status
                  - title
                  - summary
                  - recommendation
                  - resourceType
                  - resourceId
                  - firstObservedAt
                  - lastObservedAt
                  - resolvedAt
        '404':
          description: No such finding in this project.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````